package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrMeasureMapper;
import com.ruoyi.project.pssr.domain.TPssrMeasure;
import com.ruoyi.project.pssr.service.ITPssrMeasureService;

/**
 * 人身防护Service业务层处理
 *
 * @author ssy
 * @date 2024-11-04
 */
@Service
public class TPssrMeasureServiceImpl implements ITPssrMeasureService
{
    @Autowired
    private TPssrMeasureMapper tPssrMeasureMapper;

    /**
     * 查询人身防护
     *
     * @param id 人身防护ID
     * @return 人身防护
     */
    @Override
    public TPssrMeasure selectTPssrMeasureById(Long id)
    {
        return tPssrMeasureMapper.selectTPssrMeasureById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrMeasureMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询人身防护列表
     *
     * @param tPssrMeasure 人身防护
     * @return 人身防护
     */
    @Override
    public List<TPssrMeasure> selectTPssrMeasureList(TPssrMeasure tPssrMeasure)
    {
        return tPssrMeasureMapper.selectTPssrMeasureList(tPssrMeasure);
    }

    /**
     * 新增人身防护
     *
     * @param tPssrMeasure 人身防护
     * @return 结果
     */
    @Override
    public int insertTPssrMeasure(TPssrMeasure tPssrMeasure)
    {
        return tPssrMeasureMapper.insertTPssrMeasure(tPssrMeasure);
    }

    /**
     * 修改人身防护
     *
     * @param tPssrMeasure 人身防护
     * @return 结果
     */
    @Override
    public int updateTPssrMeasure(TPssrMeasure tPssrMeasure)
    {
        return tPssrMeasureMapper.updateTPssrMeasure(tPssrMeasure);
    }

    /**
     * 修改人身防护
     *
     * @param tPssrMeasure 人身防护
     * @return 结果
     */
    @Override
    public int updateAllBySubId(TPssrMeasure tPssrMeasure)
    {
        return tPssrMeasureMapper.updateAllBySubId(tPssrMeasure);
    }

    /**
     * 批量删除人身防护
     *
     * @param ids 需要删除的人身防护ID
     * @return 结果
     */
    @Override
    public int deleteTPssrMeasureByIds(Long[] ids)
    {
        return tPssrMeasureMapper.deleteTPssrMeasureByIds(ids);
    }

    /**
     * 删除人身防护信息
     *
     * @param id 人身防护ID
     * @return 结果
     */
    @Override
    public int deleteTPssrMeasureById(Long id)
    {
        return tPssrMeasureMapper.deleteTPssrMeasureById(id);
    }
}
